Do

Compiler fails (error in Docky.Interface), Do needs gmcs 2.0 or newer

Bug #326529 reported by Simone on 2009-02-07
26
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Do
Medium
Chris Halse Rogers

Bug Description

I have Intrepid amd64 installed on my notebook and this is the error I get when I try to compile:

./src/Docky.Interface/Docky.Interface.Items/BaseDockItem.cs(49,58): (Location of the symbol related to previous warning)
./src/Docky.Interface/DockArea_Rendering.cs(45,26): error CS0103: The name `<ActiveIconChangeTime>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(45,26): error CS0103: The name `<ActiveIconChangeTime>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(47,22): error CS0103: The name `<PainterOverlayVisible>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(47,22): error CS0103: The name `<PainterOverlayVisible>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(64,27): error CS0103: The name `<DragState>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(64,27): error CS0103: The name `<DragState>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(66,22): error CS0103: The name `<GtkDragging>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(66,22): error CS0103: The name `<GtkDragging>k__BackingField' does not exist in the current context
Compilation failed: 8 error(s), 1 warnings
make[1]: *** [../build/Do.Interface.Linux.Docky.dll] Error 1

I got the same error since revision 940.

You're on mono 1.9.1, we haven't hacked in legacy support yet.

--
--Alex Launi

Well, I'm using mono 2.0-1 and having similar error :

Compiling Do.Interface.Linux.Docky.dll...
./src/Docky.Interface/DockArea.cs(545,36): error CS0103: The name `item' does not exist in the current context
Compilation failed: 1 error(s), 0 warnings
make[1]: *** [../build/Do.Interface.Linux.Docky.dll] Error 1
make[1]: Leaving directory `/home/andrzej/gnome-do/Do.Interface.Linux.Docky'
make: *** [all-recursive] Error 1

I'm on Ubuntu 9.10 Jaunty Jackalope i386.

On Mon, Feb 9, 2009 at 11:13 AM, andrzeyk <email address hidden> wrote:

> Well, I'm using mono 2.0-1 and having similar error :
>
> Compiling Do.Interface.Linux.Docky.dll...
> ./src/Docky.Interface/DockArea.cs(545,36): error CS0103: The name `item'
> does not exist in the current context
> Compilation failed: 1 error(s), 0 warnings
> make[1]: *** [../build/Do.Interface.Linux.Docky.dll] Error 1
> make[1]: Leaving directory
> `/home/andrzej/gnome-do/Do.Interface.Linux.Docky'
> make: *** [all-recursive] Error 1
>
> I'm on Ubuntu 9.10 Jaunty Jackalope i386.
>

The only similarity is that it's a compilation error, these are not the
least bit related.

--
--Alex Launi

fixed in bzr

On Mon, 2009-02-09 at 17:56 +0000, andrzeyk wrote:
> What's wrong with it, then?
>

make[1]: Entering directory `/home/loras/gnome-do/Do.Interface.Linux.Docky'
Compiling Do.Interface.Linux.Docky.dll...
./src/Docky.Interface/DockArea_Rendering.cs(57,26): error CS0103: The name `<ActiveIconChangeTime>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(57,26): error CS0103: The name `<ActiveIconChangeTime>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(59,36): error CS0103: The name `<RenderData>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(59,36): error CS0103: The name `<RenderData>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(61,22): error CS0103: The name `<PainterOverlayVisible>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(61,22): error CS0103: The name `<PainterOverlayVisible>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(64,27): error CS0103: The name `<DragState>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(64,27): error CS0103: The name `<DragState>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(66,22): error CS0103: The name `<GtkDragging>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(66,22): error CS0103: The name `<GtkDragging>k__BackingField' does not exist in the current context
Compilation failed: 10 error(s), 0 warnings
make[1]: *** [../build/Do.Interface.Linux.Docky.dll] Error 1
make[1]: Leaving directory `/home/loras/gnome-do/Do.Interface.Linux.Doc/ky'
make: *** [all-recursive] Error 1
lifestream@debian:~/gnome-do$

With latest source from bazaar.
Debian Testing/Squeeze

cmoer (collin.moerman) wrote :

Can confirm Lifestream's errors.

make[1]: Entering directory `/home/feanor/0.8/Do.Interface.Linux.Docky'
Compiling Do.Interface.Linux.Docky.dll...
warning CS8030: Deprecated: The `linq' option is no longer required and should not be used
./src/Docky.Interface/DockArea_Rendering.cs(57,26): error CS0103: The name `<ActiveIconChangeTime>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(57,26): error CS0103: The name `<ActiveIconChangeTime>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(59,36): error CS0103: The name `<RenderData>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(59,36): error CS0103: The name `<RenderData>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(61,22): error CS0103: The name `<PainterOverlayVisible>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_Rendering.cs(61,22): error CS0103: The name `<PainterOverlayVisible>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(64,27): error CS0103: The name `<DragState>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(64,27): error CS0103: The name `<DragState>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(66,22): error CS0103: The name `<GtkDragging>k__BackingField' does not exist in the current context
./src/Docky.Interface/DockArea_DragAndDrop.cs(66,22): error CS0103: The name `<GtkDragging>k__BackingField' does not exist in the current context
Compilation failed: 10 error(s), 1 warnings
make[1]: *** [../build/Do.Interface.Linux.Docky.dll] Error 1
make[1]: Leaving directory `/home/feanor/0.8/Do.Interface.Linux.Docky'
make: *** [all-recursive] Error 1
feanor@Valinor-laptop:~/0.8$

Downloaded latest as of 2:00 EST 2/25/2009

Jason Smith (jassmith) wrote :

This is more of a compiler fail than a programming fail. We need to bundle gmcs 2.0

Changed in do:
assignee: nobody → raof
importance: Undecided → Medium
milestone: none → 0.8.1
status: New → Confirmed
Chris Halse Rogers (raof) wrote :

This was fixed in 0.8.1

Changed in do:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers